Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1206472 - AttributeError: 'NoneType' object has no attribute 'set_focus_vadjustment'
Summary: AttributeError: 'NoneType' object has no attribute 'set_focus_vadjustment'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:82ff2e7d1fbd9d87f07a55ef736...
Depends On:
Blocks: F22BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-03-27 08:22 UTC by A.J. Werkman
Modified: 2015-04-14 21:05 UTC (History)
9 users (show)

Fixed In Version: anaconda-22.20.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 21:05:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: anaconda.log (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: dnf.log (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: dnf.rpm.log (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: environ (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: lsblk_output (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: nmcli_dev_list (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: os_info (deleted)
2015-03-27 08:22 UTC, A.J. Werkman
no flags Details
File: program.log (deleted)
2015-03-27 08:23 UTC, A.J. Werkman
no flags Details
File: storage.log (deleted)
2015-03-27 08:23 UTC, A.J. Werkman
no flags Details
File: syslog (deleted)
2015-03-27 08:23 UTC, A.J. Werkman
no flags Details
File: ifcfg.log (deleted)
2015-03-27 08:23 UTC, A.J. Werkman
no flags Details
File: packaging.log (deleted)
2015-03-27 08:23 UTC, A.J. Werkman
no flags Details
Output of tty1 (deleted)
2015-03-27 20:00 UTC, A.J. Werkman
no flags Details

Description A.J. Werkman 2015-03-27 08:22:47 UTC
Version-Release number of selected component:
anaconda-22.20.6-1

The following was filed automatically by anaconda:
anaconda 22.20.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 128, in __init__
    mainBox.set_focus_vadjustment(mainViewport.get_vadjustment())
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 1056, in on_proxy_clicked
    dialog = ProxyDialog(self.data, self._proxyUrl)
AttributeError: 'NoneType' object has no attribute 'set_focus_vadjustment'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz proxy=http://thlin.digifarma.nl:3128/ ip=172.18.92.70::172.18.92.65:255.255.255.192:cfl.lc.digifarma.nl::off nameserver=172.18.92.65 inst.stage2=hd:UUID=e8507ec4-a731-44e5-8e24-729e418227e3 inst.repo=http://dl.fedoraproject.org/pub/alt/stage/22_Beta_TC5/Server/x86_64/os
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.0-0.rc4.git0.1.fc22.x86_64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 A.J. Werkman 2015-03-27 08:22:51 UTC
Created attachment 1007122 [details]
File: anaconda-tb

Comment 2 A.J. Werkman 2015-03-27 08:22:52 UTC
Created attachment 1007123 [details]
File: anaconda.log

Comment 3 A.J. Werkman 2015-03-27 08:22:53 UTC
Created attachment 1007124 [details]
File: dnf.log

Comment 4 A.J. Werkman 2015-03-27 08:22:54 UTC
Created attachment 1007125 [details]
File: dnf.rpm.log

Comment 5 A.J. Werkman 2015-03-27 08:22:55 UTC
Created attachment 1007126 [details]
File: environ

Comment 6 A.J. Werkman 2015-03-27 08:22:56 UTC
Created attachment 1007127 [details]
File: lsblk_output

Comment 7 A.J. Werkman 2015-03-27 08:22:57 UTC
Created attachment 1007128 [details]
File: nmcli_dev_list

Comment 8 A.J. Werkman 2015-03-27 08:22:58 UTC
Created attachment 1007129 [details]
File: os_info

Comment 9 A.J. Werkman 2015-03-27 08:23:00 UTC
Created attachment 1007130 [details]
File: program.log

Comment 10 A.J. Werkman 2015-03-27 08:23:02 UTC
Created attachment 1007131 [details]
File: storage.log

Comment 11 A.J. Werkman 2015-03-27 08:23:04 UTC
Created attachment 1007132 [details]
File: syslog

Comment 12 A.J. Werkman 2015-03-27 08:23:05 UTC
Created attachment 1007133 [details]
File: ifcfg.log

Comment 13 A.J. Werkman 2015-03-27 08:23:06 UTC
Created attachment 1007134 [details]
File: packaging.log

Comment 14 David Shea 2015-03-27 12:10:44 UTC
What are you using as the stage2? Are there any messages on tty1? It looks like the python and glade files you have are out of sync somehow.

Comment 15 A.J. Werkman 2015-03-27 20:00:53 UTC
Created attachment 1007461 [details]
Output of tty1

This is the output of tty1.

I use the stage2 that came with 22_Beta_TC5. It has a sha256 checksum of:
a35e3d166b479ece58179723e42edcf28b5e29842b19e26593ed007b9fd56811  squashfs.img

Comment 16 Seth Jennings 2015-03-30 22:15:47 UTC
I'm hitting this too.  Regressed by commit 35324b3.

diff --git a/pyanaconda/ui/gui/spokes/source.py b/pyanaconda/ui/gui/spokes/source.py
index 1b35ca9..7b69085 100644
--- a/pyanaconda/ui/gui/spokes/source.py
+++ b/pyanaconda/ui/gui/spokes/source.py
@@ -122,6 +122,11 @@ class ProxyDialog(GUIObject, GUIDialogInputCheckHandler):
         self._proxyValidate = self.add_check(self._proxyURLEntry, self._checkProxyURL)
         self._proxyValidate.update_check_status()
 
+        # Connect scroll events on the viewport with focus events on the box
+        mainViewport = self.builder.get_object("mainViewport")
+        mainBox = self.builder.get_object("mainBox")
+        mainBox.set_focus_vadjustment(mainViewport.get_vadjustment())
+

The mainViewport and mainBox objects are not within the scope of the proxyDialog so get_object() on those elements is returning None.

Comment 17 Seth Jennings 2015-03-30 22:18:14 UTC
Bad regress commit id.  Should be this:

$ git log --format=full -1 29fefefa3f83f125aaa5032b4c9dce4e6bb39246
commit 29fefefa3f83f125aaa5032b4c9dce4e6bb39246
Author: David Shea <dshea>
Commit: David Shea <dshea>

    Connect viewport adjustments to child focus adjustments (#1192155)
    
    When we use GtkScrolledWindow with non-natively scrollable widgets, the
    scroll adjustments on the intermediate viewport need to be connected to
    the focus adjustments on non-scrollable container in order for the
    viewport to automatically scroll on keyboard navigation events. Normally
    this is done automatically by gtk, but adding silent surprises in the
    middle of the widget hierarchy breaks glade so glade requires the
    viewport be explicit, and glade does not allow one to change any of the
    adjustment settings we need to get to. See
    https://bugzilla.gnome.org/show_bug.cgi?id=744721
    
    I am not optimistic about glade changing things quickly or ever so let's
    just work around it and have things work a little nicer.
    
    (cherry picked from commit 35324b3fd891400c0405c50a18798080910627ed)

Comment 18 Seth Jennings 2015-03-30 22:21:55 UTC
Ugh, actually, both are right :P.  29fefefa is the f22 branch cherry pick of 35324b3.

Comment 19 David Shea 2015-03-31 13:16:05 UTC
(In reply to Seth Jennings from comment #16)
> The mainViewport and mainBox objects are not within the scope of the
> proxyDialog so get_object() on those elements is returning None.

Thank you, the proxy aspect of this was what I was missing. Whoops.

Comment 20 Fedora Blocker Bugs Application 2015-03-31 13:31:19 UTC
Proposed as a Blocker for 22-beta by Fedora user dshea using the blocker tracking app because:

 This crash is hit any time the proxy setup in the GUI source spoke is used, which probably falls under one of the http install source criteria

Comment 21 Adam Williamson 2015-04-06 16:30:03 UTC
Discussed at 2015-04-06 blocker review meeting: https://meetbot.fedoraproject.org/fedora-blocker-review/2015-04-06/f22-blocker-review.2015-04-06-16.00.log.txt . Accepted as a blocker per criterion "When using the dedicated installer images, the installer must be able to use HTTP, FTP and NFS repositories as package sources.", in the case that a proxy is needed.

Comment 22 Fedora Update System 2015-04-07 19:37:56 UTC
anaconda-22.20.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/anaconda-22.20.9-1.fc22

Comment 23 Fedora Update System 2015-04-08 18:36:55 UTC
Package libblockdev-0.9-1.fc22, python-blivet-1.0.7-1.fc22, anaconda-22.20.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libblockdev-0.9-1.fc22 python-blivet-1.0.7-1.fc22 anaconda-22.20.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5779/libblockdev-0.9-1.fc22,python-blivet-1.0.7-1.fc22,anaconda-22.20.9-1.fc22
then log in and leave karma (feedback).

Comment 24 Adam Williamson 2015-04-14 00:46:13 UTC
Setting VERIFIED per A.J.'s reports on other bugs.

Comment 25 Adam Williamson 2015-04-14 21:05:36 UTC
Update has been pushed stable, closing.


Note You need to log in before you can comment on or make changes to this bug.